#include <iostream>
#include <cstdlib>

using namespace std;

int size = 60000;
int start = size / 2;
	
class img
{
public:
	
	int** data;
	int curX;
	int curY;
	int points;

	int leftMin = size - 1;
	int topMin = size - 1;

	img()
	{
		points = 0;
		curX = start;
		curY = start;
		
		data = new int*[size];
		for(int x = 0; x < size; x++)
		{
			data[x] = new int[size];
			for(int y = 0; y < size; y++)
			{
				data[x][y] = 0;
			}
		}
	}
	
	~img()
	{
		for(int x = 0; x < size; x++)
		{
			delete[] data[x];
		}
		delete[] data;
	}
	
	void move(int x, int y)
	{
		curX += x;
		curY += y;
	}
	
	void line(int x, int y)
	{
		int fromx = min(curX, curX + x);
		int fromy =min(curY, curY + y);
		int toX = max(curX, curX + x);
		int toY = max(curY, curY + y);
		
		if(abs(x) > abs(y))
		{
			for(int ax = fromx; ax < toX; ax++)
			{
				curX = ax;
				curY = fromy + abs(y) / ax;
				
				data[curX][curY] = 1;
				
				points++;
			}
		}
		else
		{
			for(int ay = fromx; ay < toY; ay++)
			{
				curY = ay;
				curX = fromx + abs(x) / ay;
				
				data[curX][curY] = 1;
				
				points++;
			}
		}
	}
};

int main(int argc, char* argv[])
{
	
	char** data = new char*[60000];
		for(int x = 0; x < 60000; x++)
		{
			data[x] = new char[60000];
		}
	
	return 0;
	img* imga = new img();
	img* imgb = new img();
	
	int counta = 0;
	int countb = 0;
	cin >> counta;
	for(int x = 0; x < counta; x++)
	{
		char move;
		int ax, ay;
		cin >> move >> ax >> ay;
		if(move == 'L')
			imga->line(ax, ay);
		else
			imga->move(ax, ay);
	}
	
	cin >> countb;
	for(int x = 0; x < countb; x++)
	{
		char move;
		int ax, ay;
		cin >> move >> ax >> ay;
		if(move == 'L')
			imgb->line(ax, ay);
		else
			imgb->move(ax, ay);
	}
	
	bool same = true;
	int curx, cury;
	int max = 60000;
	
	int checkeda = 0;
	int checkedb = 0;
	for(int x = 0; x < 60000; x++)
	{
		for(int y = 0; y < 60000; y++)
		{
			int ax = imga->leftMin + x;
			int ay = imga->topMin - y;
			int bx = imgb->leftMin + x;
			int by = imgb->topMin - y;
			
			//vyresit
			if(ax > max || bx > max || ay < 0 || by < 0)
			{
				if(checkeda != checkedb && checkeda != imga->points)
					same = false;
				break;
			}
			
			if(imga->data[ax][ay] != imgb->data[bx][by])
			{
				same = false;
			}
			else
			{
				checkeda++;
				checkedb++;
			}
		}
	}
	
	if(same)
		cout << "YES" << endl;
	else
		cout << "NO" << endl;
	
	delete imga;
	delete imgb;
	
	return 0;
}